it-swarm-ja.com

Debianスクイーズで2.6.16からカーネルを更新する方法は?

説明されているように、vserver上のDebianシステムをlennyからsqueezeに更新しました ここ

インストール中に、glibcを更新できなかったというエラーが発生しました。

apt-get -f installを実行しました。これにより、次の警告が表示されます。

警告:このバージョンのGNU libcにはカーネルバージョン2.6.18以降が必要です。glibcをインストールする前に、カーネルをアップグレードしてください。

2.6カーネルのインストールcouldは、最初に新しいlibcをインストールするように要求します。これはバグではなく、[〜#〜]報告されません[〜#〜]。その場合は、lennyソースを/etc/apt/sources.listに追加して、次のコマンドを実行してください。apt-getinstall -t lenny linux-image-2.6次に、この新しいカーネルで再起動して、アップグレードを続行します。

dpkg:エラー処理/var/cache/apt/archives/libc6_2.10.2-2_i386.deb(--unpack):サブプロセスの新しいインストール前スクリプトがエラー終了ステータスを返しました1処理中にエラーが発生しました:/ var/cache/apt/archives/libc6_2.10.2-2_i386.deb

これらの行を/etc/apt/sources.listに追加しました。

deb http://ftp.de.debian.org/debian squeeze main contrib non-free
deb http://ftp.de.debian.org/debian-volatile squeeze/volatile main contrib non-free
deb http://ftp.de.debian.org/debian-security squeeze/updates main contrib non-free

deb http://ftp.de.debian.org/debian lenny main contrib non-free
deb http://ftp.de.debian.org/debian-volatile lenny/volatile main contrib non-free
deb http://ftp.de.debian.org/debian-security lenny/updates main contrib non-free

ここで、次のコマンドを使用して新しいカーネルをインストールしようとしました。

apt-get install linux-image-2.6-openvz-686

これはこのエラーにつながります:

The following packages have unmet dependencies:
  libc-bin: Breaks: libc6 (< 2.10) but 2.7-18lenny2 is to be installed
  linux-image-2.6-openvz-686: Depends: linux-image-2.6.26-2-openvz-686 
  but it is not going to be installed
  locales: Depends: glibc-2.10-1
  nscd: Depends: libc6 (> 2.10) but 2.7-18lenny2 is to be installed

質問:

カーネルをアップグレードするにはどうすればよいですか?

5
tangens

仮想サーバー(openvz)内で仮想マシンを実行しているため、カーネルのアップグレードは不可能だと思います。

カーネルをアップグレードするには、サーバー自体がカーネルをアップグレードする必要があると思います。

6
tangens

私はあなたがvps内で働いていたのであなたがアップグレードすることができなかったと思いました、そしてあなたはあなた自身がそれを発見しました。サーバールートからvpsで異なるバージョンのカーネルを実行することは可能ですが、それはルートからのみ実行できます。

私の質問を参照してください Debian Lennyはそれをサポートしないvpsでudevを期待しています :Debianがいくつかの満たされていない依存関係について不平を言うかもしれませんが、あなたはまだ何らかの方法でより高いバージョンに依存するコードを導入したかもしれません持っていないLinux:udevがインストールされているかどうかを確認してください。他にもあるかもしれません。

1
Charles Stewart